org.apache.storm.rocketmq

## Class RocketMqUtils

- java.lang.Object
- - org.apache.storm.rocketmq.RocketMqUtils

-     public final class RocketMqUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RocketMqUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Scheme` | `createScheme(Properties props)` Create Scheme by Properties.
    `static List<Object>` | `generateTuples(org.apache.rocketmq.common.message.Message msg, Scheme scheme)` Generate Storm tuple values by Message and Scheme.
    `static boolean` | `getBoolean(Properties props, String key, boolean defaultValue)`
    `static int` | `getInteger(Properties props, String key, int defaultValue)`
    `static long` | `getLong(Properties props, String key, long defaultValue)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RocketMqUtils

          public RocketMqUtils()

  - ### Method Detail

    - #### getInteger

          public static int getInteger(Properties props,
                                       String key,
                                       int defaultValue)

    - #### getLong

          public static long getLong(Properties props,
                                     String key,
                                     long defaultValue)

    - #### getBoolean

          public static boolean getBoolean(Properties props,
                                           String key,
                                           boolean defaultValue)

    - #### createScheme

          public static Scheme createScheme(Properties props)

      Create Scheme by Properties.

      Parameters:
        `props` - Properties
      Returns:
        Scheme

    - #### generateTuples

          public static List<Object> generateTuples(org.apache.rocketmq.common.message.Message msg,
                                                    Scheme scheme)

      Generate Storm tuple values by Message and Scheme.

      Parameters:
        `msg` - RocketMQ Message
        `scheme` - Scheme for deserializing
      Returns:
        tuple values

Copyright © 2021 The Apache Software Foundation. All rights reserved.